Loading...
Searching...
No Matches
bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator > Class Template Reference

`#include <bsoncxx/v_noabi/bsoncxx/vector/elements.hpp>`

## Description

template<typename Iterator>
class bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >

Reference to a single element in a packed_bit vector.

Template Parameters

  Iterator | Underlying byte iterator type, optionally const.

## Public Types

using | value_type = bool
| Value type chosen to represent a single-bit element.

## Public Member Functions

constexpr | operator value_type () const
| Obtain the referenced element's current value.
packed_bit_element const & | operator&= (value_type const &other) const noexcept
| Operator &=, emulating bool reference behavior.
packed_bit_element const & | operator= (packed_bit_element const &v) const noexcept
| Copy the referenced value from another reference of the same type.
packed_bit_element const & | operator= (value_type const &v) const
| Set the value of the element referenced.
packed_bit_element const & | operator^= (value_type const &other) const noexcept
| Operator ^=, emulating bool reference behavior.
packed_bit_element const & | operator|= (value_type const &other) const noexcept
| Operator |=, emulating bool reference behavior.

## Member Typedef Documentation

## value_type

template<typename Iterator>

using bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::value_type = bool

Value type chosen to represent a single-bit element.

## Member Function Documentation

## operator value_type()

template<typename Iterator>

bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::operator value_type | ( |  | ) | const

inline constexpr

Obtain the referenced element's current value.

## operator&=()

template<typename Iterator>

packed_bit_element const & bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::operator&= | ( | value_type const & | other | ) | const

inline noexcept

Operator &=, emulating bool reference behavior.

## operator=() [1/2]

template<typename Iterator>

packed_bit_element const & bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::operator= | ( | packed_bit_element< Iterator > const & | v | ) | const

inline noexcept

Copy the referenced value from another reference of the same type.

## operator=() [2/2]

template<typename Iterator>

packed_bit_element const & bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::operator= | ( | value_type const & | v | ) | const

inline

Set the value of the element referenced.

## operator^=()

template<typename Iterator>

packed_bit_element const & bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::operator^= | ( | value_type const & | other | ) | const

inline noexcept

Operator ^=, emulating bool reference behavior.

## operator|=()

template<typename Iterator>

packed_bit_element const & bsoncxx::v_noabi::vector::elements::packed_bit_element< Iterator >::operator|= | ( | value_type const & | other | ) | const

inline noexcept

Operator |=, emulating bool reference behavior.

The documentation for this class was generated from the following files:

- bsoncxx/v_noabi/bsoncxx/vector/elements-fwd.hpp
- bsoncxx/v_noabi/bsoncxx/vector/elements.hpp